Index: /extensions/PWG_Stuffs/trunk/language/fa_IR/plugin.lang.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/language/fa_IR/plugin.lang.php	(revision 26487)
+++ /extensions/PWG_Stuffs/trunk/language/fa_IR/plugin.lang.php	(revision 26488)
@@ -51,3 +51,63 @@
 $lang['stuffs_authorized_group'] = 'مجوزهای گروه';
 $lang['stuffs_authorized_users'] = 'مجوزهای اعشا';
+$lang['stuffs_parent_plugin_is_missing'] = 'پلاگین والد فعال نیست شما باید این بلوکرا حذف ویا دوباره فعال ';
+$lang['stuffs_piclens_need_upgrade'] = 'پلاگین والدبایدبروز شود. سازگار با این ورژن از Piclens نیست.';
+$lang['stuffs_tags_cumulus'] = 'استفاده از حالت توده (پلاگین <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tags Cloud</a> must be installed)';
+$lang['module_desc_mostvisited'] = ' X بیشترین بازدید در گالری و یا یک دسته بندی نمایش';
+$lang['module_desc_recent'] = ' x تصاویر اخیر در گالری و یا یک طبقه (اگر وجود داشته باشدنمایش)';
+$lang['module_desc_random'] = '
+ X  نمایش تصاویر تصادفی از گالری و یا یک دسته بندی';
+$lang['stuffs_perm'] = '
+مجوزفعالیت مدیر :';
+$lang['stuffs_tags_default_display'] = 'نمایش تگ';
+$lang['stuffs_tags_letters'] = 'گروه های   بسیارکوچک';
+$lang['stuffs_type'] = 'نوع بلوک';
+$lang['stuffs_unselect_all'] = 'لغو انتخاب همه ';
+$lang['stuffs_upgrade_message'] = ' پرکن پلاگین تغییر نام یافت شده است. در حال حاضر "بلاک" نامیده می شود.';
+$lang['stuffs_user_perm'] = 'بانوع کاربر';
+$lang['stuffs_visual_config'] = 'تریب نمایش';
+$lang['stuffs_width'] = 'پهنا';
+$lang['module_desc_bestrated'] = 'نمایش X بهترین تصاویر ارزیابی شده در گالری و یا یک دسته بندی';
+$lang['module_desc_featuredphotos'] = ' نمایش تصاویرمورد علاقه ی   مدیر سایت';
+$lang['module_desc_lastcoms'] = 'نمایش اخرن دیدگاه ها ';
+$lang['stuffs_order_saved'] = 'سفارش با موفقیت ذخیره شد.';
+$lang['stuffs_position'] = 'موقیت';
+$lang['stuffs_public_module'] = '( بلوک های عمومی خالی نگه دارید)';
+$lang['stuffs_select_all'] = 'انتخاب همه';
+$lang['stuffs_show_module_on'] = 'نمایش بلوک:';
+$lang['stuffs_show_on_cats'] = 'در تمام صفحات دسته ها';
+$lang['stuffs_show_on_home'] = 'در صفحه اصلی';
+$lang['stuffs_show_on_picture'] = 'بروی تصاویر';
+$lang['stuffs_show_on_root'] = 'بروی دسته های ریشه ';
+$lang['stuffs_show_title'] = 'نمایش عنوان بلوک';
+$lang['stuffs_tags_cloud'] = 'ابر برچسب';
+$lang['module_name_personal'] = 'بلوک شخصی';
+$lang['module_name_random'] = 'تصایر تصادفی';
+$lang['module_name_recent'] = 'اخرین عکس ها';
+$lang['stuffs_mv_all_cats'] = 'تمام دسته ها';
+$lang['stuffs_mv_cat_selection'] = 'انتخاب دسته';
+$lang['stuffs_mv_category_display'] = 'نمایش درصفحه دسته ها';
+$lang['stuffs_mv_hold_ctrl'] = 'نگه داشتن CTRL';
+$lang['stuffs_mv_nb_images'] = 'بشترین عدد برای نمایش تصاویر';
+$lang['stuffs_mv_selected_cats'] = 'فقط دسته انتخابی';
+$lang['stuffs_mv_w_thumb'] = 'فقط دسته ها باتصاویرانگشتی';
+$lang['stuffs_mv_wo_thumb'] = 'فقط دیته ها بدون تصاویرانگشتی';
+$lang['stuffs_no_name'] = 'شما باید نام بلوک را مشخص کنید';
+$lang['stuffs_no_options'] = 'هیچ تنظیمی برای این بلوک نیست';
+$lang['stuffs_only_for_admin'] = '(فقط برای پنل مدیر کل) ';
+$lang['stuffs_action'] = 'فعال';
+$lang['stuffs_delete'] = 'حذف بلوک';
+$lang['stuffs_desc'] = 'توضیح';
+$lang['stuffs_edit'] = 'تصیف بلوک';
+$lang['stuffs_error_no_mod_selected'] = 'شما هیچ بلوک را انتخاب نکرده اید';
+$lang['stuffs_level_perm'] = 'سطح حفظ حریم خصوصی';
+$lang['stuffs_main_block'] = 'بلوک اصلی';
+$lang['stuffs_mods_management'] = 'مدیریت بلوک';
+$lang['stuffs_module_config'] = ' ترتیب بلوک';
+$lang['stuffs_module_options'] = 'تنتظیمات بلوک';
+$lang['stuffs_module_title'] = 'عنوان بلوک';
+$lang['lastcoms_nb_cadres'] = 'تعداد فریم های خط';
+$lang['lastcoms_nb_comments'] = 'تعداد نظرات برای نمایش';
+$lang['lastcoms_no_nb_comments'] = '
+شما باید تعداد برای نظرات را تعیین کنید.';
 ?>