Index: /trunk/language/fa_IR/help/cat_modify.html
===================================================================
--- /trunk/language/fa_IR/help/cat_modify.html	(revision 26504)
+++ /trunk/language/fa_IR/help/cat_modify.html	(revision 26505)
@@ -1,41 +1,133 @@
-<h2>ویرایش البوم</h2>
+<h2> استفاده کنید آلبوم </ H2 >
 
-<h3>اطلاعات</h3>
+<h3> اطلاعات </ H3 >
 
 <ul>
 
-  <li><strong>name</strong>: تغییر نام البوم (a virtual rename in case 
-  of a physical album).</li>
+  <li> <strong> برای نام </ قوی> : تغییر نام آلبوم (تغییر نام مجازی در مورد
+  از آلبوم فیزیکی ) . </ لی >
 
-  <li><strong>description</strong>: short text giving a general idea of the content,
-  this text will be displayed at the bottom of the thumbnails page.</li>
+  <li> <strong> برای توضیحات </ قوی> : متن های کوتاه به یک ایده کلی از محتوا،
+  این متن خواهد شد در پایین صفحه ریز عکسها نمایش داده شود. </ لی >
 
-</ul>
+</ UL >
 
-<h3>جابه جایی</h3>
+<h3> حرکت </ H3 >
 
-<p> اگر البوم مجازی شما, می خواهید جابه جا کنید. جابه جا کردن یک البوم معمولان
-تغییرات اوالد ان را دار میباشد </p>
+<p> اگر آلبوم های مجازی است ، شما می توانید آن را حرکت می کند. حرکت یک آلبوم معنی
+تغییر آلبوم پدر و مادر خود . </ p>
 
-<h3>تنظیمات</h3>
+گزینه <h3> </ H3 >
 
 <ul>
 
-  <li><strong>Access type</strong>: Permissions management. If you make a
-  album private, all its child albums becomes private. If you make a
-  album public, all its parent albums becomes public.</li>
+  <li> در نوع دسترسی <strong> </ قوی > : مدیریت و ویرایش . اگر شما به
+  آلبوم خصوصی ، همه آلبوم کودک خود را خصوصی می شود. اگر شما به
+  آلبوم عمومی، همه آلبوم پدر و مادر خود را عمومی می شود. </ لی >
 
-  <li><strong>Lock</strong>: The album and its sub-albums will
-  be temporary disabled for maintenance.</li>
+  <li> <strong> برای قفل است </ strong > : این آلبوم و زیر آلبوم خواهد شد
+  به طور موقت غیر فعال شده است برای تعمیر و نگهداری می شود . </ لی >
 
-  <li><strong>Comments</strong>: Authorize users to comment photos of this
-  album.</li>
+  <li> <strong> برای نظرات </ strong > : اجازه به کاربران برای اظهار نظر از مطالب این
+  آلبوم </ لی >
 
-</ul>
+</ UL >
 
-<p>You can also manage these options on the "Properties"
-management screen (screens <span
-class="pwgScreen">Comments</span>, <span class="pwgScreen">Lock</span>,
-<span class="pwgScreen">Public/Private</span>, <span
-class="pwgScreen">Representative</span> available from <span
-class="pwgScreen">Administration &raquo; Albums &raquo; Properties</span>).</p>
+<p> شما همچنین می توانید این گزینه بر روی "خواص" مدیریت
+صفحه مدیریت ( صفحه نمایش < دهانه
+کلاس = " pwgScreen " > نظرات </ span> ، <span class="pwgScreen"> قفل </ span> ،
+<span class="pwgScreen"> عمومی / خصوصی </ span> ، < طول
+کلاس = " pwgScreen " > نماینده </ span> در دسترس از < طول
+کلاس = " pwgScreen " > دولت » آلبوم ها» خواص </ span> ) </ p>
+
+منظور مرتب سازی بر <h3> </ H3 >
+
+<P> استفاده از تصاویر پیش فرض مرتب کردن . </ p>
+
+<P> نشان دهد که آیا این ترتیب نیز به subalbums اعمال خواهد شد. </ p>
+
+<P> معیارهای مرتب سازی خاص با این آلبوم مورد استفاده قرار گیرد را انتخاب کنید. </ p>
+<ul>
+<li> <strong> برای تاریخ ایجاد </ قوی> : عکس تاریخ عکسبرداری است </ li >
+<li> <strong> برای تاریخ نوشته است </ strong > : تاریخ سنکرون </ لی >
+<li> <strong> برای متوسط ​​( * ) </ قوی> : متوسط ​​می تواند توسط رتبه بازدید کننده است </ li > تغییر
+<li> <strong> برای بیشترین بازدید ( * ) < / strong> در این بازدید در حال حاضر ممکن است به منظور بیشترین بازدید را تغییر دهید </ لی >
+<li> <strong> برای نام فایل </ قوی> : نام داده شده در زمینه اطلاعات </ لی >
+<li> <strong> برای کد </ قوی> : داخلی شناسه ( شاخه ها دارای یک شناسه (شماره) بالاتر از قبلی است </ li >
+
+</ UL >
+<P> <STRONG> ( * ) </ قوی> هشدار: مطمئن باشید که برای تست این سفارشات مرتب سازی بر اساس خودتان را به عنوان آنها می توانند نتایج غیر منتظره را </ p>
+
+
+<h3> Representant </ H3 >
+
+<P> نماینده آلبومتصویر بند انگشتی نمایش داده شده در صفحه اصلی ( <span class="pwgScreen"> category.php </ span> ) برای نشان دادن است
+آلبوم زمانی
+آن تنها شامل زیر آلبوم و هیچ عکس مستقیم ( فقط به عنوان آلبوم ریشه ) . </ p>
+عکس از آلبوم : </ p>
+
+<ul>
+
+  <li> در <span صفحه class="pwgScreen"> عکس </ span> : یکی از دکمه های اکشن به شما اجازه تنظیم عکس در حال حاضر به عنوان نماینده برای
+  آلبوم نمایش داده می شود . این دکمه موجود است فقط برای مدیران است . </ لی >
+
+  <li> در <span اطلاعات class="pwgScreen"> اصلاح در مورد عکس </ span> در
+  دولت . این صفحه نمایش را می توان از < طول رسیده است
+  کلاس = " pwgScreen " > picture.php </ span> یا <span دسته class="pwgScreen">
+  مدیریت </ span> در حالت واحد را <em> </ EM > . مشاهده کمک این صفحه نمایش برای
+  جزئیات . </ لی >
+
+  <li> در <span class="pwgScreen"> دولت » آلبوم ها» خواص ،
+  نماینده </ span> . به کمک این صفحه نمایش برای جزئیات بیشتر را مشاهده کنید. </ لی >
+
+  <li> در <span class="pwgScreen"> ویرایش آلبوم </ span> ( روی صفحه نمایش در حال حاضر ) . </ لی >
+
+</ UL >
+
+<P> انتخاب یک نماینده بستگی به
+به <code> allow_random_representative </ code> و پارامتر پیکربندی (نگاه کنید به < دهانه
+کلاس = "نام فایل " > شامل / config_default.inc.php </ SPAN> ) </ p>
+
+<P> در حالت پیش فرض ( به <code> allow_random_representative </ code> و مجموعه را به غلط ) ،
+هر آلبوم شامل حداقل یک عنصر است که توسط یک ثابت نشان داده شده است
+عنصر . هنگامی که ( در ایجاد آلبوم ) تعیین می کنند، نماینده فقط تغییر
+زمانی که یک مدیر از آنها بخواهید برای آن . اگر نماینده مناسب نیست،
+شما می توانید بپرسید تا <strong> یافتنrepresentant جدید تصادفی </ قوی> </ p>
+
+<p> اگر به <code> allow_random_representative </ code> و پارامتر پیکربندی است
+درست تنظیم کنید ، یک دسته شامل عکس ها ممکن است ثابت
+representant . فقط <STRONG> حذف representant </ قوی> دکمه استفاده کنید. </ p>
+
+<p> اگر این آلبوم فقط شامل زیر آلبوم و هیچ عکس، آن را می توانید با این وجود توسط هر تشکر عنصر نشان داده شده به <span class="pwgScreen"> اصلاح
+اطلاعات در مورد یک عکس </ span> صفحه نمایش. تنها گزینه بر روی صفحه نمایش فعلی
+است <STRONG> حذف representant است </ strong > را فشار دهید. </ p>
+
+<h3> لینک تمام عکس های آلبوم به آلبوم </ H3 >
+
+<ul>
+
+<li> <strong> برای نام آلبوم مجازی است </ strong > : نام آلبوم جدید را ایجاد ،
+تمام عکس های از رده فعلی خواهد شد به یکی از جدید مرتبط است. </ لی >
+
+<li> <strong> برای آلبوم مرجع است </ strong > : از کجا آلبوم جدید خواهد بود ،
+خالی برای ایجاد آن را در ریشه را ترک کنند. </ لی >
+
+</ UL >
+
+<h3> لینک تمام عکس های آلبوم به آلبوم های موجود </ H3 >
+
+<ul>
+
+<li> <strong> برای آلبوم ها </ قوی> : . را انتخاب کنید آلبوم مقصد است </ li >
+
+</ UL >
+
+<h3> ارسال یک ایمیل به اطلاعات را به اعضای گروه </ H3 >
+
+<ul>
+
+<li> <strong> برای گروه < / strong> در گروه دریافت کننده است </ li >
+
+<li> <strong> برای محتوای ایمیل است </ strong > : متن رایگان برای ارسال به آنها را </ لی >
+
+</ UL >
Index: /trunk/language/fa_IR/help/cat_move.html
===================================================================
--- /trunk/language/fa_IR/help/cat_move.html	(revision 26505)
+++ /trunk/language/fa_IR/help/cat_move.html	(revision 26505)
@@ -0,0 +1,14 @@
+<h2> استفاده از حرکت به آلبوم مجازی </ H2>
+
+<P> تنها در آلبوم های مجازی می توانید یک آلبوم والدین جدید داشته باشد. </ p>
+
+<h3>  حرکت آلبوم مجازی  </ H3>
+
+<P> یک یا چند آلبوم مجازی که می خواهید برای حرکت انتخاب کنید.
+اگر لیست خالی است، که منظور شما ایجاد یک نشده است. </ p>
+
+<h3> جدید آلبوم والدین </ H3>
+
+<P> آلبوم والدین جدید (مجازی یا فیزیکی) را انتخاب کنید.
+اگر شما هر پدر و مادر را انتخاب کنید، در آلبوم های مجازی انتخاب خواهد شد به ریشه منتقل شد.
+ </ p>
Index: /trunk/language/fa_IR/help/cat_options.html
===================================================================
--- /trunk/language/fa_IR/help/cat_options.html	(revision 26505)
+++ /trunk/language/fa_IR/help/cat_options.html	(revision 26505)
@@ -0,0 +1,22 @@
+<h2> استفاده از حرکت به آلبوم مجازی </ H2> <h2> استفاده گزینه های آلبوم </ H2>
+
+مدیریت گزینه <P> برای چندین آلبوم در یک بار. </ p>
+
+<dl>
+
+<dt> نظرات </ DT>
+<dd> یک عکس می تواند نظر از بازدید کنندگان خود را دریافت خواهید کرد اگر آن را به یک آلبوم با نظر فعال شده تعلق دارد. </ dd>
+
+<dt> قفل </ DT>
+آلبوم <dd> قفل شده غیر فعال برای تعمیر و نگهداری می باشد. فقط مدیران می توانید آنها را در گالری ببینید. </ dd>
+
+<dt> عمومی / خصوصی </ DT>
+<dd> آغاز هنگامی که یک آلبوم تبدیل خصوصی، دادن حقوق دسترسی به کاربران و گروه های </ dd>
+
+ <dt> نماینده</ dt>
+<dd> آغاز این گزینه در دسترس است هنگامی که شما تنظیمات پیکربندی
+به <code> allow_random_representative </ code> و (نگاه کنید به <دهانه
+class = filename"> شامل / config_defaults.inc.php </ SPAN>) به
+را <em> واقعی </ EM>. هر آلبوم را می توان با یک عکس به صورت تصادفی و یا یک عکس انتخاب به عنوان نماینده منحصر به فرد ارائه شده است. </ dd>
+
+</ DL>