Index: /extensions/ExtendedDescription/language/de_DE/help.cat_photo.html
===================================================================
--- /extensions/ExtendedDescription/language/de_DE/help.cat_photo.html	(revision 26534)
+++ /extensions/ExtendedDescription/language/de_DE/help.cat_photo.html	(revision 26535)
@@ -2,18 +2,18 @@
   <li><b>[cat=xx]</b></li>
 </ul>
-<p>This tag inserts an album in the description, where xx is the album identifier.</p>
+<p>Dieser Tag erlaubt das Einfügen eines Albums in der Beschreibung, xx ist die Album ID.</p>
 
 <ul>
   <li><b>[photo id=xx album=yy size=M html=yes link=yes]</b></li>
 </ul>
-<p>This tag allows you to insert one picture of any size you want, with:<br><br>
-- <code>id</code> the photo identifier<br>
-- <code>album</code> (optional) the parent album identifier<br>
-- <code>size</code> (optional) the size of the photo, from <i>{SQ, TH, XXS, XS, S, M, L, XL, XXL}</i><br>
-- <code>html</code> (optional) if set to <i>no</i> the tag only returns the URL of the photo, without HTML<br>
-- <code>link</code> (optional) if set to <i>yes</i> the photo is wrapped into a link to the picture page</p>
+<p>Dieser Tag erlaubt das Einfügen eines Bildes mit beliebiger Größe mittels:<br><br>
+- <code>id</code> ID des Bildes<br>
+- <code>album</code> (optional) ID des übergeordneten Albums<br>
+- <code>size</code> (optional) Größe des Bildes, Auswahl <i>{SQ, TH, XXS, XS, S, M, L, XL, XXL}</i><br>
+- <code>html</code> (optional) bei <i>no</i> liefert der Tag nur nur die URL des Bildes zurück ohne HTML<br>
+- <code>link</code> (optional) bei <i>yes</i> wird das Bild mit einem Link zur Bildseite versehen</p>
 
 <ul>
   <li><b>[random album=yy size=M html=yes link=yes]</b></li>
 </ul>
-<p>Same thing as above, except that the photo is chosen randomly from <code>album</code></p>
+<p>Genau wie oben, Ausnahme das Bild wird per Zufall aus dem <code>album</code> geholt</p>
Index: /extensions/ExtendedDescription/language/de_DE/help.slider.html
===================================================================
--- /extensions/ExtendedDescription/language/de_DE/help.slider.html	(revision 26534)
+++ /extensions/ExtendedDescription/language/de_DE/help.slider.html	(revision 26535)
@@ -2,15 +2,15 @@
   <li><b>[slider album=xx nb_images=10 random=no list=aa,bb,cc size=M speed=3 title=no effect=fade arrows=yes control=yes elastic=no thumbs_size=80]</b></li>
 </ul>
-<p>This tag allows to insert a slideshow (NivoSlider). (you must set <code>album</code> OR <code>list</code>):<br><br>
-- <code>album</code> (optional) source album<br>
-- <code>nb_images</code> (optional) max number of photos to display in the slideshow<br>
-- <code>random</code> (optional) choose photos randomly in the album <i>{yes, no}</i><br>
-- <code>list</code> (optional) a list of photos ids separated by a comma<br>
-- <code>size</code> (optional) the size of the photos, from <i>{SQ, TH, XXS, XS, S, M, L, XL, XXL}</i><br>
-- <code>speed</code> (optional) the slideshow speed (in seconds)<br>
-- <code>title</code> (optional) display photo title <i>{yes, no}</i><br>
-- <code>effect</code> (optional) transition effect (see <a href="http://docs.dev7studios.com/jquery-plugins/nivo-slider">NivoSlider doc</a>)<br>
-- <code>arrows</code> (optional) display navigation arrows <i>{yes, no}</i><br>
-- <code>control</code> (optional) display navigation controls <i>{yes, no, thumb}</i><br>
-- <code>elastic</code> (optional) adapt slideshow size to each photo <i>{yes, no}</i><br>
-- <code>thumbs_size</code> (optional) thumbnails size in pixel if <code>control=thumb</code><p>
+<p>Dieser Tag erlaubt das Einfügen einer Bildershow (NivoSlider). (es muss <code>album</code> ODER <code>list</code> gesetzt werden):<br><br>
+- <code>album</code> (optional) Quell Album<br>
+- <code>nb_images</code> (optional) Max. Anzahl Fotos in der Bildershow<br>
+- <code>random</code> (optional) Wählt die Fotos zufällig aus <i>{yes, no}</i><br>
+- <code>list</code> (optional) Eine Liste der Bilder nach IDs Komma-Separiert<br>
+- <code>size</code> (optional) Die Größe der Fotos, Auswahl <i>{SQ, TH, XXS, XS, S, M, L, XL, XXL}</i><br>
+- <code>speed</code> (optional) Die Anzeigedauer eines Fotos in Sekunden<br>
+- <code>title</code> (optional) Anzeige des Bildtitels<i>{yes, non}</i><br>
+- <code>effect</code> (optional) Überblendungs-Effekt (siehe <a href="http://docs.dev7studios.com/jquery-plugins/nivo-slider">NivoSlider doc</a>)<br>
+- <code>arrows</code> (optional) Navigationspfeile anzeigen <i>{yes, no}</i><br>
+- <code>control</code> (optional) Navigationsflächen anzeigen <i>{yes, no, thumb}</i><br>
+- <code>elastic</code> (optional) Bildershow an jedes Foto anpassen <i>{yes, no}</i><br>
+- <code>thumbs_size</code> (optional) Symbolgröße in Pixel falls <code>control=thumb</code><p>