Index: /extensions/EasyCaptcha/language/en_UK/icons.lang.php
===================================================================
--- /extensions/EasyCaptcha/language/en_UK/icons.lang.php	(revision 26535)
+++ /extensions/EasyCaptcha/language/en_UK/icons.lang.php	(revision 26536)
@@ -1,27 +1,27 @@
 <?php
-$lang['ball'] = 'ball';
-$lang['battery'] = 'battery';
-$lang['bicycle'] = 'bicycle';
-$lang['binoculars'] = 'binoculars';
-$lang['book'] = 'book';
-$lang['calculator'] = 'calculator';
-$lang['calendar'] = 'calendar';
-$lang['camera'] = 'camera';
-$lang['car'] = 'car';
-$lang['shopping cart'] = 'shopping cart';
-$lang['cookie'] = 'cookie';
-$lang['scissors'] = 'scissors';
-$lang['DVD'] = 'DVD';
-$lang['disk'] = 'disk';
-$lang['guitar'] = 'guitar';
-$lang['hat'] = 'hat';
-$lang['house'] = 'house';
-$lang['lock'] = 'lock';
-$lang['mobile phone'] = 'mobile phone';
-$lang['pencil'] = 'pencil';
-$lang['printer'] = 'printer';
-$lang['magnifying glass'] = 'magnifying glass';
-$lang['shoe'] = 'shoe';
-$lang['suitcase'] = 'suitcase';
-$lang['trash'] = 'trash';
+$lang['ball'] = 'the ball';
+$lang['battery'] = 'the battery';
+$lang['bicycle'] = 'the bicycle';
+$lang['binoculars'] = 'the binoculars';
+$lang['book'] = 'the book';
+$lang['calculator'] = 'the calculator';
+$lang['calendar'] = 'the calendar';
+$lang['camera'] = 'the camera';
+$lang['car'] = 'the car';
+$lang['shopping cart'] = 'the shopping cart';
+$lang['cookie'] = 'the cookie';
+$lang['scissors'] = 'the scissors';
+$lang['DVD'] = 'the DVD';
+$lang['disk'] = 'the disk';
+$lang['guitar'] = 'the guitar';
+$lang['hat'] = 'the hat';
+$lang['house'] = 'the house';
+$lang['lock'] = 'the lock';
+$lang['mobile phone'] = 'the mobile phone';
+$lang['pencil'] = 'the pencil';
+$lang['printer'] = 'the printer';
+$lang['magnifying glass'] = 'the magnifying glass';
+$lang['shoe'] = 'the shoe';
+$lang['suitcase'] = 'the suitcase';
+$lang['trash'] = 'the trash';
 ?>
Index: /extensions/EasyCaptcha/language/en_UK/pets.lang.php
===================================================================
--- /extensions/EasyCaptcha/language/en_UK/pets.lang.php	(revision 26535)
+++ /extensions/EasyCaptcha/language/en_UK/pets.lang.php	(revision 26536)
@@ -1,20 +1,20 @@
 <?php
-$lang['bat'] = 'bat';
-$lang['butterfly'] = 'butterfly';
-$lang['cat'] = 'cat';
-$lang['dog'] = 'dog';
-$lang['duck'] = 'duck';
-$lang['eagle'] = 'eagle';
-$lang['elephant'] = 'elephant';
-$lang['fish'] = 'fish';
-$lang['fox'] = 'fox';
-$lang['frog'] = 'frog';
-$lang['horse'] = 'horse';
-$lang['ladybug'] = 'ladybug';
-$lang['lion'] = 'lion';
-$lang['mouse'] = 'mouse';
-$lang['panda'] = 'panda';
-$lang['penguin'] = 'penguin';
-$lang['snake'] = 'snake';
-$lang['toucan'] = 'toucan';
+$lang['bat'] = 'the bat';
+$lang['butterfly'] = 'the butterfly';
+$lang['cat'] = 'the cat';
+$lang['dog'] = 'the dog';
+$lang['duck'] = 'the duck';
+$lang['eagle'] = 'the eagle';
+$lang['elephant'] = 'the elephant';
+$lang['fish'] = 'the fish';
+$lang['fox'] = 'the fox';
+$lang['frog'] = 'the frog';
+$lang['horse'] = 'the horse';
+$lang['ladybug'] = 'the ladybug';
+$lang['lion'] = 'the lion';
+$lang['mouse'] = 'the mouse';
+$lang['panda'] = 'the panda';
+$lang['penguin'] = 'the penguin';
+$lang['snake'] = 'the snake';
+$lang['toucan'] = 'the toucan';
 ?>
Index: /extensions/EasyCaptcha/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/EasyCaptcha/language/en_UK/plugin.lang.php	(revision 26535)
+++ /extensions/EasyCaptcha/language/en_UK/plugin.lang.php	(revision 26536)
@@ -30,5 +30,5 @@
 $lang['Tic-tac-toe minigame'] = 'Tic-tac-toe minigame';
 $lang['Tic-tac-toe options'] = 'Tic-tac-toe options';
-$lang['To verify you are a human, please place the <b>%s</b> in the most right box bellow.'] = 'To verify you are a human, please place the <b>%s</b> in the most right box.';
+$lang['To verify you are a human, please place the <b>%s</b> in the most right box bellow.'] = 'To verify you are a human, please place <b>%s</b> in the most right box.';
 $lang['You are player X, click on the right case to complete the line.'] = 'You are player X, click on the right case to complete the line.';
 $lang['You must activate JavaScript in your browser in order to be able to add a comment, sorry for the inconvenience.'] = 'You must activate JavaScript in your browser in order to be able to add a comment, sorry for the inconvenience.';
Index: /extensions/EasyCaptcha/language/fr_FR/icons.lang.php
===================================================================
--- /extensions/EasyCaptcha/language/fr_FR/icons.lang.php	(revision 26535)
+++ /extensions/EasyCaptcha/language/fr_FR/icons.lang.php	(revision 26536)
@@ -1,27 +1,27 @@
 <?php
-$lang['ball'] = 'ballon';
-$lang['battery'] = 'pile';
-$lang['bicycle'] = 'vélo';
-$lang['binoculars'] = 'jumelles';
-$lang['book'] = 'libre';
-$lang['calculator'] = 'calculette';
-$lang['calendar'] = 'calendier';
-$lang['camera'] = 'appareil photo';
-$lang['car'] = 'voiture';
-$lang['shopping cart'] = 'caddie';
-$lang['cookie'] = 'cookie';
-$lang['scissors'] = 'ciseaux';
-$lang['DVD'] = 'DVD';
-$lang['disk'] = 'disquette';
-$lang['guitar'] = 'guitare';
-$lang['hat'] = 'chapeau';
-$lang['house'] = 'maison';
-$lang['lock'] = 'cadenas';
-$lang['mobile phone'] = 'portable';
-$lang['pencil'] = 'crayon';
-$lang['printer'] = 'imprimante';
-$lang['magnifying glass'] = 'loupe';
-$lang['shoe'] = 'chaussure';
-$lang['suitcase'] = 'malette';
-$lang['trash'] = 'poubelle';
+$lang['ball'] = 'le ballon';
+$lang['battery'] = 'la pile';
+$lang['bicycle'] = 'le vélo';
+$lang['binoculars'] = 'les jumelles';
+$lang['book'] = 'le livre';
+$lang['calculator'] = 'la calculette';
+$lang['calendar'] = 'le calendier';
+$lang['camera'] = 'l\'appareil photo';
+$lang['car'] = 'la voiture';
+$lang['shopping cart'] = 'le caddie';
+$lang['cookie'] = 'le cookie';
+$lang['scissors'] = 'les ciseaux';
+$lang['DVD'] = 'le DVD';
+$lang['disk'] = 'la disquette';
+$lang['guitar'] = 'la guitare';
+$lang['hat'] = 'le chapeau';
+$lang['house'] = 'la maison';
+$lang['lock'] = 'le cadenas';
+$lang['mobile phone'] = 'le portable';
+$lang['pencil'] = 'le crayon';
+$lang['printer'] = 'l\'imprimante';
+$lang['magnifying glass'] = 'la loupe';
+$lang['shoe'] = 'la chaussure';
+$lang['suitcase'] = 'la malette';
+$lang['trash'] = 'la poubelle';
 ?>
Index: /extensions/EasyCaptcha/language/fr_FR/pets.lang.php
===================================================================
--- /extensions/EasyCaptcha/language/fr_FR/pets.lang.php	(revision 26535)
+++ /extensions/EasyCaptcha/language/fr_FR/pets.lang.php	(revision 26536)
@@ -1,20 +1,20 @@
 <?php
-$lang['cat'] = 'chat';
-$lang['bat'] = 'chauve-souris';
-$lang['butterfly'] = 'papillon';
-$lang['dog'] = 'chien';
-$lang['duck'] = 'canard';
-$lang['eagle'] = 'aigle';
-$lang['elephant'] = 'éléphant';
-$lang['fish'] = 'poisson';
-$lang['fox'] = 'renard';
-$lang['frog'] = 'grenouille';
-$lang['horse'] = 'cheval';
-$lang['ladybug'] = 'coccinelle';
-$lang['lion'] = 'lion';
-$lang['mouse'] = 'souris';
-$lang['panda'] = 'panda';
-$lang['penguin'] = 'pingouin';
-$lang['snake'] = 'serpent';
-$lang['toucan'] = 'toucan';
+$lang['cat'] = 'le chat';
+$lang['bat'] = 'la chauve-souris';
+$lang['butterfly'] = 'le papillon';
+$lang['dog'] = 'le chien';
+$lang['duck'] = 'le canard';
+$lang['eagle'] = 'l\'aigle';
+$lang['elephant'] = 'l\'éléphant';
+$lang['fish'] = 'le poisson';
+$lang['fox'] = 'le renard';
+$lang['frog'] = 'la grenouille';
+$lang['horse'] = 'le cheval';
+$lang['ladybug'] = 'la coccinelle';
+$lang['lion'] = 'le lion';
+$lang['mouse'] = 'la souris';
+$lang['panda'] = 'le panda';
+$lang['penguin'] = 'le pingouin';
+$lang['snake'] = 'le serpent';
+$lang['toucan'] = 'le toucan';
 ?>
Index: /extensions/EasyCaptcha/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/EasyCaptcha/language/fr_FR/plugin.lang.php	(revision 26535)
+++ /extensions/EasyCaptcha/language/fr_FR/plugin.lang.php	(revision 26536)
@@ -30,5 +30,5 @@
 $lang['Tic-tac-toe minigame'] = 'Minijeu morpion';
 $lang['Tic-tac-toe options'] = 'Options morpion';
-$lang['To verify you are a human, please place the <b>%s</b> in the most right box bellow.'] = 'Pour vérifier que vous êtes un humain, veuillez placer le <b>%s</b> dans le cadre de droite.';
+$lang['To verify you are a human, please place the <b>%s</b> in the most right box bellow.'] = 'Pour vérifier que vous êtes un humain, veuillez placer <b>%s</b> dans le cadre de droite.';
 $lang['You are player X, click on the right case to complete the line.'] = 'Vous êtes le joueur X, cliquez dans la bonne case pour former une ligne complète.';
 $lang['You must activate JavaScript in your browser in order to be able to add a comment, sorry for the inconvenience.'] = 'Vous devez activer JavaScript pour pouvoir ajouter un commentaire, désolé du dérangement.';