Index: extensions/ExtendedDescription/language/eo_EO/help.cat_photo.html
===================================================================
--- extensions/ExtendedDescription/language/eo_EO/help.cat_photo.html	(revision 26548)
+++ extensions/ExtendedDescription/language/eo_EO/help.cat_photo.html	(revision 26571)
@@ -9,8 +9,8 @@
 <p>Tiu etikedo permesas al vi enŝovi unu bildon je iu ajn grandeco, kiun vi deziras, kun:<br><br>
 - <code>id</code> la foto identigilo<br>
-- <code>album</code> (opciona) la identigilo de la patra fotaro<br>
-- <code>size</code> (opciona) la grandeco de la foto, inter (de la plej eta al la plej granda) <i>{SQ, TH, XXS, XS, S, M, L, XL, XXL}</i><br>
-- <code>html</code> (opciona) se agordita al <i>no</i> la etikedo montras nur la URL de la foto, sen HTML<br>
-- <code>link</code> (opciona) se agordita al <i>yes</i> la foton ĉirkaŭfluas ligilo al la bildopaĝo</p>
+- <code>album</code> (opcia) la identigilo de la patra fotaro<br>
+- <code>size</code> (opcia) la grandeco de la foto, inter (de la plej eta al la plej granda) <i>{SQ, TH, XXS, XS, S, M, L, XL, XXL}</i><br>
+- <code>html</code> (opcia) se agordita al <i>no</i> la etikedo montras nur la URL de la foto, sen HTML<br>
+- <code>link</code> (opcia) se agordita al <i>yes</i> la foton ĉirkaŭfluas ligilo al la bildopaĝo</p>
 
 <ul>
Index: extensions/ExtendedDescription/language/eo_EO/help.slider.html
===================================================================
--- extensions/ExtendedDescription/language/eo_EO/help.slider.html	(revision 26548)
+++ extensions/ExtendedDescription/language/eo_EO/help.slider.html	(revision 26571)
@@ -2,15 +2,15 @@
   <li><b>[slider album=xx nb_images=10 random=no list=aa,bb,cc size=M speed=3 title=no effect=fade arrows=yes control=yes elastic=no thumbs_size=80]</b></li>
 </ul>
-<p>Tiu etikedo permesas enmeti bildoprezenton (NivoSlider). (Vi devas agordi <code>album</code>n AŬ <code>list</code>):<br><br>
+<p>Tiu etikedo permesas enmeti bildoprezenton (NivoSlider). (Vi devas agordi na <code>album</code> AŬ <code>list</code>):<br><br>
 - <code>album</code> (opcia) fonta fotaro<br>
-- <code>nb_images</code> (opciona) maksimuma nombro da fotoj vidigotaj en la bildoprezento<br>
-- <code>random</code> (opciona) elektas fotojn hazarde en la fotar <i>{yes, no}</i><br>
-- <code>list</code> (opciona) listo de fotaj identigiloj apartigitaj de komo<br>
-- <code>size</code> (opciona) la grandeco de la fotoj, el <i>{SQ, TH, XXS, XS, S, M, L, XL, XXL}</i><br>
-- <code>speed</code> (opciona) la bildoprezenta rapideco (en sekondoj)<br>
-- <code>title</code> (opciona) vidigas fototitolon <i>{yes, no}</i><br>
-- <code>effect</code> (opciona) transpasa efekto (vidu <a href="http://docs.dev7studios.com/jquery-plugins/nivo-slider">NivoSlider-an dokumenton</a>)<br>
-- <code>arrows</code> (opciona) vidigas navigajn sagojn <i>{yes, no}</i><br>
-- <code>control</code> (opciona) vidigas navigajn kontrolojn <i>{yes, no, thumb}</i><br>
-- <code>elastic</code> (opciona) adaptas la grandecon de la bildoprezento al ĉiu foto <i>{yes, no}</i><br>
-- <code>thumbs_size</code> (optional) thumbnails size in pixel if <code>control=thumb</code><p>
+- <code>nb_images</code> (opcia) maksimuma nombro da fotoj vidigotaj en la bildoprezento<br>
+- <code>random</code> (opcia) elektas fotojn hazarde en la fotaro<i>{yes, no}</i><br>
+- <code>list</code> (opcia) listo de fotaj identigiloj apartigitaj de komo<br>
+- <code>size</code> (opcia) la grandeco de la fotoj, el <i>{SQ, TH, XXS, XS, S, M, L, XL, XXL}</i><br>
+- <code>speed</code> (opcia) la bildoprezenta rapideco (en sekondoj)<br>
+- <code>title</code> (opcia) vidigas fototitolon <i>{yes, no}</i><br>
+- <code>effect</code> (opcia) transpasa efekto (vidu <a href="http://docs.dev7studios.com/jquery-plugins/nivo-slider">NivoSlider-an dokumenton</a>)<br>
+- <code>arrows</code> (opcia) vidigas navigajn sagojn <i>{yes, no}</i><br>
+- <code>control</code> (opcia) vidigas navigajn kontrolojn <i>{yes, no, thumb}</i><br>
+- <code>elastic</code> (opcia) adaptas la grandecon de la bildoprezento al ĉiu foto <i>{yes, no}</i><br>
+- <code>thumbs_size</code> (opcia) grandeco de la miniaturoj en bilderoj se <code>control=thumb</code><p>
Index: extensions/ExtendedDescription/language/eo_EO/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/eo_EO/plugin.lang.php	(revision 26548)
+++ extensions/ExtendedDescription/language/eo_EO/plugin.lang.php	(revision 26571)
@@ -21,5 +21,4 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['ExtendedDesc_help'] = 'Uzi etikedojn por etendita priskribo...';
 $lang['This category is redirected to %s'] = 'Tiu fotaro alidirektas al %s';
 
@@ -27,3 +26,7 @@
 $lang['Extended descriptions'] = 'Etenditaj priskriboj';
 $lang['Insert an album or a photo'] = 'Enŝovi fotaron aŭ foton';
+$lang['Extended Description have been successfully installed. Now you can use all its features in most text boxes of Piwigo.'] = 'Etendita priskribo sukcese instaliĝis. Nun vi povas uzi ĉiujn funkciojn en plejparte da la tekstujoj de Piwigo.';
+$lang['Hide elements'] = 'Kaŝi elementojn';
+$lang['Redirect elements'] = 'Alidirekti elementojn';
+$lang['Use Extended Description tags...'] = 'Uzi etikedojn kun etendita priskribo...';
 ?>