Index: /trunk/language/mn_MN/admin.lang.php
===================================================================
--- /trunk/language/mn_MN/admin.lang.php	(revision 26585)
+++ /trunk/language/mn_MN/admin.lang.php	(revision 26586)
@@ -293,5 +293,5 @@
 $lang['Image id'] = 'Зургийн ID';
 $lang['Email administrators when a comment is deleted'] = 'Сэтгэгдэлийг устгахад админд мэйлээр мэдэгдэх';
-$lang['Email admins when a new user registers'] = 'Шинээр хэрэглэгч бүртгүүлэхэд админд мэйлээр мэдэгдэх';
+$lang['Email admins when a new user registers'] = 'Шинээр хэрэглэгч бүртгүүлэхэд зохицуулагчид и-мэйлээр мэдэгдэх';
 $lang['Documentation'] = 'Баримт бичиг';
 $lang['Add another set of photos'] = 'Өөр зурагнууд нэмэх';
@@ -405,5 +405,5 @@
 $lang['Caddie'] = 'Устгах';
 $lang['Remove from caddie'] = 'Устгах жагсаалтаас хасах';
-$lang['add new photos to caddie'] = 'шинэ зургийг устгах жагсаалтанд нэмэх';
+$lang['add new photos to caddie'] = 'шинэ зургийг "устгах жагсаалт"-д нэмэх';
 $lang['Duplicates'] = 'Давхардсан';
 $lang['With no album'] = 'Цомогт ороогүй';
@@ -557,5 +557,5 @@
 $lang['Update to Piwigo %s'] = 'Piwigo %s уруу шинэчлэх';
 $lang['Caddie management'] = 'Устгах жагсаалтын зохицуулалт';
-$lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'дэлгэрэнгүй мэдээллийг харуулах (нэмж хассан цомог болон зурагнууд)';
+$lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'дэлгэрэнгүй мэдээллийг харуулах (нэмж, хассан цомог болон зурагнууд)';
 $lang['directories + files'] = 'хавтас + файлуудыг';
 $lang['only directories'] = 'зөвхөн хавтасуудыг';
@@ -575,3 +575,55 @@
 $lang['%d anomaly has been ignored.'] = '%d алдааг хэрэгсэхгүй орхив.';
 $lang['Anomaly'] = 'Алдаа';
+$lang['photos deleted from the database'] = 'зургуудийг мэдээллийн сангаас устаглаа';
+$lang['Dissociate from album'] = 'Цомогоос хасах';
+$lang['Set author'] = 'Зураг авагч';
+$lang['Type here the author name'] = 'Зураг авсан хүний нэрийг энд оруулна уу';
+$lang['Set as default theme for unregistered and new users'] = 'Бүртгүүлээгүй болон шинэ хэрэглэгчдэд харагдах үндсэн загвар болгон тохируулах';
+$lang['Set creation date'] = 'Оруулсан огноог засах';
+$lang['No user selected of %d users'] = 'Хэрэглэгч сонгоогүй байна (нийт %d хэрэглэгч) ';
+$lang['Invert'] = 'Эсрэгээр нь';
+$lang['none'] = 'нэгийг ч биш';
+$lang['No photo in the current set.'] = 'Тухайн хэсэгт зураг байхгүй байна.';
+$lang['No matching user found'] = 'Ийм хэрэглэгч олдсонгүй';
+$lang['Manage photos'] = 'Зургуудийг цэгцлэх';
+$lang['Manage this set of %d photos'] = 'Энэ %d зургуудийг цэгцлэх';
+$lang['Miscellaneous'] = 'Буёад';
+$lang['No mail to send.'] = 'Илгээх и-мэйл байхгүй байна.';
+$lang['Loading...'] = 'Ачаалж байна...';
+$lang['GD library is missing'] = 'GD library байхгүй байна';
+$lang['Failed to write file to disk'] = 'Файлыг бичэхэд алдаа гарлаа';
+$lang['File/directory read error'] = 'Файл/хавтасыг уншихад алдаа гарлаа';
+$lang['Error on file "%s" : %s'] = '"%s" файлд алдаа илэрлээ: %s';
+$lang['Email administrators when a comment is modified'] = 'Сэтгэгдэлийг засах үед зохицуулагчид и-мэйлээр мэдэгдэх';
+$lang['Email admins when a comment requires validation'] = 'Сэтгэгдэлийг идэвхжүүлэх шаардлагатай үед зохицуулагчид и-мэйлээр мэдэгдэх';
+$lang['Email admins when a valid comment is entered'] = 'Сэтгэгдэлийг оруулсан үед зохицуулагчид и-мэйлээр мэдэгдэх';
+$lang['Create this site'] = 'Энэ сайтыг үүсгэх';
+$lang['Default user cannot be deleted'] = 'Үндсэн хэрэглэгчийг устгах боломжгүй';
+$lang['Default user does not exist'] = 'Үндсэн хэрэглэгчийг оруулаагүй байна';
+$lang['Deleted on'] = 'Устгасан огноо';
+$lang['Detailed informations'] = 'Дэлгэрэнүй мэдээлэл';
+$lang['Directory'] = 'Хавтас';
+$lang['Directory does not exist'] = 'Ийм хавтас байхгүй байна';
+$lang['Duplicate'] = 'Давхардал';
+$lang['Correction applied with error'] = 'Засах үед алдаа гарлаа';
+$lang['Correction applied with success'] = 'Амжилттай заслаа';
+$lang['Change password'] = 'Нууц үг солих';
+$lang['Change username'] = 'Хэрэглэгчийн нэр солих';
+$lang['Available only with HTML format'] = 'Зөвхөн HTML хэлбэрээр боломжтой';
+$lang['Batch Manager'] = 'Цэгцлэх';
+$lang['Basic settings'] = 'Үндсэн тохиргоо';
+$lang['Apply watermark if height is bigger than'] = 'Өндөр нь их үед усан хээг ашиглах';
+$lang['Apply watermark if width is bigger than'] = 'Өргөн нь их үед усан хээг ашиглах';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Бусад (%s) загварууд тухайн загвараас хамаарч байгаа учир устгах боломжгүй байна.';
+$lang['All themes are up to date.'] = 'Шинэчлэх шаардлагатай загвар байхгүй байна';
+$lang['Following themes may not be compatible with the new version of Piwigo:'] = 'Дараахь загварууд Piwigo-н шинэ гарсан хувилбартай зохицохгүй байх магадлалтай:';
+$lang['Make this language available to users'] = 'Тухайн хэлийг хэрэглэгчид ашиглах боломжтой болгох';
+$lang['Visit language site'] = 'Тухайн хэлний вэб хуудсанд зочилох';
+$lang['Extend for templates'] = 'Темплетийг засах';
+$lang['Optional URL keyword'] = 'Нэмэлт URL түлхүүр үг';
+$lang['Original templates'] = 'Эх загвар';
+$lang['Replacement of original templates by customized templates from template-extension subfolder'] = 'Эх загварыг өргөтгөл хавтасан дахь нэмэлт загваруудаас солих';
+$lang['Resize after upload disabled due to the use of GD as graphic library'] = 'GD-г ашиглаж байгаа учир "Оруулсаны дараа хэмжээг шинэчлэх" функцыг идэвхгүй болголоо';
+$lang['A locked gallery is only visible to administrators'] = 'Нууцалсан цомог зөвхөн Зохицуулагчид харагдана';
+$lang['High definition enabled'] = 'Өндөр нарийвчлал идэвхтэй';
 ?>