Index: /extensions/rv_gmaps/trunk/language/mn_MN/description.txt
===================================================================
--- /extensions/rv_gmaps/trunk/language/mn_MN/description.txt	(revision 26598)
+++ /extensions/rv_gmaps/trunk/language/mn_MN/description.txt	(revision 26598)
@@ -0,0 +1,1 @@
+Зургийн галерейг тань Google Maps болон Google Earth дээр харуулах боломжийг нээнэ
Index: /extensions/rv_gmaps/trunk/language/mn_MN/index.php
===================================================================
--- /extensions/rv_gmaps/trunk/language/mn_MN/index.php	(revision 26598)
+++ /extensions/rv_gmaps/trunk/language/mn_MN/index.php	(revision 26598)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_gmaps/trunk/language/mn_MN/lang.php
===================================================================
--- /extensions/rv_gmaps/trunk/language/mn_MN/lang.php	(revision 26598)
+++ /extensions/rv_gmaps/trunk/language/mn_MN/lang.php	(revision 26598)
@@ -0,0 +1,45 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['More photos near this location'] = 'Ойролцоохь бусад зурагнууд';
+$lang['displays %s on a map'] = '%s-г газрын зураг дээр харуулах';
+$lang['Go to'] = 'Очих';
+$lang['Failed'] = 'Амжилтгүй болсон';
+$lang['Geotag'] = 'Газрын зураг дээр тэмдэглэх';
+$lang['Not geotagged'] = 'Тэмдэглээгүй';
+$lang['out of %d'] = 'нийт %d зураг';
+$lang['displays all photos on a map'] = 'бүх зургийг газрын зураг дээр харуулна';
+$lang['Geotagged'] = 'Газрын зураг дээр тэмдэглэсэн';
+$lang['opens %s in Google Earth'] = '%s-г Google Earth программ (компьютер дээр чинь суусан байх ёстой) дээр нээх';
+$lang['go to %s'] = '%s уруу буцах';
+$lang['Link to this page'] = 'Энэ хуудсийг холбох';
+$lang['Loading'] = 'Ачаалж байна';
+$lang['Latitude'] = 'Өргөрөг';
+$lang['Longitude'] = 'Уртраг';
+$lang['Map'] = 'Газрын зураг';
+$lang['Next'] = 'Дараахь';
+$lang['Prev'] = 'Өмнөх';
+$lang['show all photos around this location'] = 'энэ хэсгийн бүх зургийг харуулах';
+$lang['Show all'] = 'Бүгдийг харуулах';
+$lang['Viewing'] = 'Галерей';
+$lang['World map'] = 'Газрын зураг';
+?>