Index: /extensions/oAuth/language/ru_RU/description.txt
===================================================================
--- /extensions/oAuth/language/ru_RU/description.txt	(revision 26622)
+++ /extensions/oAuth/language/ru_RU/description.txt	(revision 26623)
@@ -1,1 +1,1 @@
-Дает возможность авторизации в галерее с помощью учетных записей в Twitter, Facebook, Google и т.д.
+Дает возможность авторизации в галерее с помощью учетных записей из Twitter, Facebook, Google и т.д.
Index: /extensions/oAuth/language/ru_RU/help.lang.php
===================================================================
--- /extensions/oAuth/language/ru_RU/help.lang.php	(revision 26622)
+++ /extensions/oAuth/language/ru_RU/help.lang.php	(revision 26623)
@@ -23,7 +23,4 @@
 $lang['Fill out any required fields such as the application name and description'] = 'Заполните все необходимые поля, включая название приложения и описание ';
 $lang['Go to <a href="%s" target="_blank">%s</a> and create a new application'] = 'Пройдите по ссылке <a href="%s" target="_blank">%s</a> и создайте новое приложение';
-$lang['No registration required for OpenID based providers'] = 'Регистрация не требуется для провайдеров, работающих с OpenID';
-$lang['On the <b>API Access</b> tab, <b>create an OAuth 2.0 Client ID</b>'] = 'На вкладке <b>API Access</b>, создайте <b>OAuth 2.0 Client ID</b>';
-$lang['On the <b>Create Client ID</b> popup, switch to advanced settings by clicking on <b>(more options)</b>'] = 'Во всплывающем окне <b>Create Client ID</b>, переключитесь в режии дополительных настроек, кликнув <b>(more options)</b>';
 $lang['Once the application is registered update the permissions : set <b>Contacts</b> as <em>Read</em> and <b>Social Directory</b> as <em>Read Public</em>'] = 'После регистрации приложения обновите права доступа: установите <b>Contacts</b> - <em>Read</em> и <b>Social Directory</b> - <em>Read Public</em>';
 $lang['Once you have registered, copy and past the created application credentials into this setup page'] = 'После регистрации скопируйте и вставьте регистрационные данные приложения на странице настроек';
@@ -31,3 +28,9 @@
 $lang['Put your website domain in the %s fields. It should match with the current hostname: <em>%s</em>'] = 'Введите домен Вашего веб-сайта в поле %s. Он должен совпадать с текущим именем хоста: <em>%s</em>';
 $lang['Set <b>%s</b> to <em>%s</em>'] = 'Введите в поле <b>%s</b> значение <em>%s</em>';
+$lang['Based on OpenID'] = 'Основано на OpenID';
+$lang['Go to <b>Settings->Advanced</b> and activate <em>Client OAuth Login</em>'] = 'Перейдите в <b>Настройки->Расширенные</b> и активируйте <em>Client OAuth Login</em>';
+$lang['No registration required'] = 'Регистрация не требуется';
+$lang['On the <b>APIs & auth -> Credentials</b> tab, <b>Create new client ID</b>'] = '<b>Создать новый ID клиента</b> на вкладке <b>API и аутентификация -> Учетные данные</b> 
+
+';
 ?>
Index: /extensions/oAuth/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/oAuth/language/ru_RU/plugin.lang.php	(revision 26622)
+++ /extensions/oAuth/language/ru_RU/plugin.lang.php	(revision 26623)
@@ -40,5 +40,4 @@
 $lang['Social Connect: PHP Curl extension is needed'] = 'Social Connect: расширение PHP Curl не установлено';
 $lang['Social Connect: You need to configure the credentials'] = 'Social Connect: Необходимо настроить права доступа';
-$lang['OpenID must be enabled in order to use %s authentication'] = 'Необходимо включить OpenID для авторизации с помощью %s';
 $lang['Or sign in with'] = 'Или авторизуйтесь в';
 $lang['Please enter your OpenID URL'] = 'Пожалуйста, введите URL для Вашего OpenID ';
@@ -47,3 +46,5 @@
 $lang['Providers'] = 'Провайдеры';
 $lang['%s: invalid keys'] = 'неверный ключ: %s';
+$lang['Cancel'] = 'Отмена';
+$lang['Please enter your user ID'] = 'Пожалуйста, укажите Ваш ID пользователя';
 ?>