Index: /extensions/photoWidget/language/fa_IR/index.php
===================================================================
--- /extensions/photoWidget/language/fa_IR/index.php	(revision 26625)
+++ /extensions/photoWidget/language/fa_IR/index.php	(revision 26625)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/photoWidget/language/fa_IR/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/fa_IR/plugin.lang.php	(revision 26625)
+++ /extensions/photoWidget/language/fa_IR/plugin.lang.php	(revision 26625)
@@ -0,0 +1,47 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Height'] = 'ارتفاع';
+$lang['Height has been updated'] = 'ارتفاع به روز شده است';
+$lang['one category'] = 'یک البوم';
+$lang['severals categories'] = 'چندین آلبوم ';
+$lang['All categories'] = 'تمام البوم ها';
+$lang['Animation background color'] = 'رنگ انمیشن پس زمینه';
+$lang['Animation size'] = 'اندازه انیمیشن';
+$lang['Applicable categorie(s)'] = 'مربوط به البام(ها)';
+$lang['Background color of animation has been updated'] = 'رنگ پس زمینه انمیشن  برروز رسانی شد ';
+$lang['Color'] = 'رنگ';
+$lang['Main configuration'] = 'ترتیب اصلی';
+$lang['No'] = 'نه';
+$lang['Photo Widget Plugin'] = 'پلاگین';
+$lang['Submit'] = 'ارسال';
+$lang['That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.'] = 'این پلاگین نصاویر ویا فیلم ها را به صورت 3 بعدی میچرخاند 
+برای هیچان انگیز کردن فیلم ویا فایل های فلش
+';
+$lang['This widget requires Flash Player 9 or better'] = 'برای نمایش بهتر  لطفا فلش پلیر 9 ویا بالاتر را از نصب کنید ';
+$lang['Width'] = 'پهن';
+$lang['Width has been updated'] = 'پهنا  بروز شد ';
+$lang['Yes'] = 'بله';
+$lang['You can choose that mode for displaying one, severals or all categories'] = 'شما می توانید این حالت را برای نمایش یک، severals یا تمام آلبوم را انتخاب کنید';
+$lang['You choose that mode for'] = 'شما یک مد را انتخاب کید برای';
+$lang['You must choose at least one category'] = 'بیشترین انتخاب راشما  از  اخرین البوم  ';
+?>